# Run tests in check section
%bcond_without check

# https://github.com/peterbourgon/diskv
%global goipath         github.com/peterbourgon/diskv
Version:                3.0.0

%gometa

%global goaltipaths     github.com/peterbourgon/diskv/v3

%global common_description %{expand:
Diskv (disk-vee) is a simple, persistent key-value store written in the Go 
language. It starts with an incredibly simple API for storing arbitrary data 
on a filesystem by key, and builds several layers of performance-enhancing 
abstraction on top. The end result is a conceptually simple, but highly 
performant, disk-backed storage system.}

%global golicenses      LICENSE
%global godocs          examples README.md

Name:           %{goname}
Release:        %mkrel 4
Summary:        A disk-backed key-value store
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildArch:      noarch
BuildRequires: golang(github.com/google/btree)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif

%gopkgfiles


%changelog
* Fri Jul 04 2025 umeabot <umeabot> 3.0.0-4.mga10
+ Revision: 2245469
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Golang

* Wed Mar 23 2022 umeabot <umeabot> 3.0.0-3.mga9
+ Revision: 1820867
- Mageia 9 Mass Rebuild

* Mon Nov 15 2021 guillomovitch <guillomovitch> 3.0.0-2.mga9
+ Revision: 1756865
- rebuild for mageia 9

* Sun Aug 30 2020 joequant <joequant> 3.0.0-1.mga8
+ Revision: 1620021
- fix build

* Mon Nov 26 2018 pterjan <pterjan> 2.0.1-2.mga7
+ Revision: 1334790
- imported package golang-github-peterbourgon-diskv


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Mar 21 2018 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.1-1
- First package for Fedora

